2005-05-13 01:06  larsa

	* build/msvc7/: coin2.sln, include/config-debug.h,
	include/config-release.h, include/Inventor/C/basic.h:
	
	regenerated files

2005-05-13 00:38  larsa

	* build/msvc6/include/: config-debug.h, config-release.h,
	Inventor/C/basic.h:
	
	regenerate files

2005-05-13 00:06  larsa

	* NEWS, README, configure.ac:
	
	set version numbers and dates, bootstrap

2005-05-13 00:03  larsa

	* docs/announcement-2_4_1.txt:
	
	contents

2005-05-12 17:53  mortene

	* src/base/SbOctTree.cpp:
	
	Doc: a bunch of FIXME notes, with suggestions for interface
	improvements and optimalizations.

2005-05-12 17:52  mortene

	* NEWS:
	
	Note about additional bugfix.

2005-05-12 17:50  larsa

	* INSTALL, RELNOTES:
	
	updates

2005-05-12 17:47  mortene

	* src/collision/SoIntersectionDetectionAction.cpp:
	
	Bugfix: avoid assert due to floating point inaccuracies. Problem
	reported by Jan Peciva.

2005-05-12 17:32  larsa

	* FAQ:
	
	update on Visual Studio support

2005-05-12 16:08  larsa

	* Makefile.am, docs/ChangeLog.v2.4.1, docs/announcement-2_4_1.txt:
	
	new files for 2.4.1 release

2005-05-12 15:55  mortene

	* src/base/SbOctTree.cpp:
	
	Remove debug code inadvertently left in.

2005-05-12 15:54  mortene

	* include/Inventor/SbOctTree.h, src/base/SbOctTree.cpp:
	
	Clean-up: simplified internal interfaces.

2005-05-12 15:00  mortene

	* src/base/SbOctTree.cpp:
	
	Clean-up: corrects function signature, making it static.

2005-05-12 11:56  mortene

	* src/actions/SoGLRenderAction.cpp:
	
	Debug: make traversal dump code default _not_ built.

2005-05-12 11:53  mortene

	* src/misc/SoOffscreenRenderer.cpp:
	
	Robustness: removes case of mistaken robustness that was hiding a
	bug, replacing with assert(). Adds FIXME about obscure possibility
	for bug.

2005-05-12 11:43  mortene

	* NEWS:
	
	Add info on another bugfix.

2005-05-12 11:29  pederb

	* src/: nodes/SoLOD.cpp, vrml97/Appearance.cpp,
	vrml97/Billboard.cpp, vrml97/Collision.cpp, vrml97/LOD.cpp:
	
	More SoGLRenderAction abort callback fixes.

2005-05-12 09:53  pederb

	* src/nodes/SoGroup.cpp:
	
	Bugfix for SoGroup abort callback (SoGLRenderAction).

2005-05-11 16:07  mortene

	* src/actions/SoGLRenderAction.cpp:
	
	Debug: set up for dumping of the scene graph during GLRender
	traversal.

2005-05-11 15:14  mortene

	* configure.ac:
	
	Minor update on end-report: consider Solaris with CC a tested
	platform.

2005-05-10 16:28  frodo

	* src/misc/SoOffscreenWGLData.cpp:
	
	compile fix/missing includes

2005-05-10 16:15  mortene

	* src/misc/SoOffscreenRenderer.cpp:
	
	Clean-up: make an explicit check out of the implicit test about
	support for offscreen rendering.

2005-05-10 14:35  mortene

	* src/actions/SoGLRenderAction.cpp:
	
	Doc: extend API doc about SORTED_LAYERS_BLEND.

2005-05-10 11:55  larsa

	* build/msvc6/: coin2.dsp, include/config-debug.h,
	include/config-release.h:
	
	update

2005-05-10 11:48  mortene

	* NEWS:
	
	Track fixes for 2.4.1.

2005-05-10 11:22  mortene

	* src/misc/: SoOffscreenAGLData.h, SoOffscreenGLXData.cpp,
	SoOffscreenGLXData.h, SoOffscreenWGLData.h:
	
	Clean-up: no need for these classes to inherit from
	CoinOffscreenGLCanvas any more.

2005-05-10 11:21  mortene

	* src/misc/: CoinOffscreenGLCanvas.cpp, CoinOffscreenGLCanvas.h,
	SoOffscreenRenderer.cpp:
	
	Bugfix: cleans up the messy GL context handling in the
	SoOffscreenRenderer. Takes care of a bug reported by James
	Hargrave, where GL resources from one context were attempted used
	in another.

2005-05-10 11:18  mortene

	* src/elements/GL/SoGLCacheContextElement.cpp:
	
	Doc: minor addition to API doc.

2005-05-10 11:17  mortene

	* include/Inventor/misc/SbHash.h:
	
	Minor corrections to the API of internal class SbHash.

2005-05-09 17:21  larsa

	* build/msvc7/: coin2.sln, coin2.vcproj, include/config-debug.h,
	include/config-release.h:
	
	update

2005-05-09 16:16  mortene

	* src/misc/: CoinOffscreenGLCanvas.cpp, CoinOffscreenGLCanvas.h,
	SoOffscreenAGLData.cpp, SoOffscreenAGLData.h,
	SoOffscreenGLXData.cpp, SoOffscreenGLXData.h,
	SoOffscreenWGLData.cpp, SoOffscreenWGLData.h:
	
	Clean-up: moving common code from system-specific classes into
	CoinOffscreenGLCanvas class.

2005-05-09 16:02  mortene

	* src/misc/all-misc-cpp.cpp:
	
	Sync build.

2005-05-09 16:00  mortene

	* src/misc/: CoinOffscreenGLCanvas.cpp, CoinOffscreenGLCanvas.h,
	Makefile.am, SoOffscreenAGLData.cpp, SoOffscreenAGLData.h,
	SoOffscreenGLXData.cpp, SoOffscreenGLXData.h,
	SoOffscreenRenderer.cpp, SoOffscreenWGLData.cpp,
	SoOffscreenWGLData.h:
	
	Clean-up: reorganized and renamed internal offscreen helper class,
	for clarity.

2005-05-09 15:44  mortene

	* src/misc/SoOffscreenRenderer.cpp:
	
	Minor clean-up: rename variable for clarity.

2005-05-09 15:38  mortene

	* src/misc/SoOffscreenRenderer.cpp:
	
	Minor code clean-ups.

2005-05-04 13:00  mortene

	* NEWS:
	
	Make note of recent, important bugfix.

2005-05-04 11:45  mortene

	* src/misc/SoDB.cpp:
	
	Robustness: take away another possibility for app programmers to
	shoot themselves in the foot.

2005-05-02 16:20  mortene

	* src/: tidbits.c, base/string.c, misc/SoDB.cpp:
	
	Robustness fix: make coin_vsnprintf() secure for multiple
	invocations with the same list.

2005-05-02 15:34  mortene

	* configure.ac, src/base/string.c, src/misc/SoDB.cpp:
	
	Bugfix: handle systems where vsnprintf() does not rewind the
	va_list. Takes care of a nasty crash bug found on AMD64 Linux
	systems.

2005-05-02 11:23  mortene

	* src/misc/SoDB.cpp:
	
	Minor fix: release a mutex as early as possible upon SoDB::init(),
	since it should then not be needed any more.

2005-05-02 11:23  mortene

	* src/misc/CoinStaticObjectInDLL.cpp:
	
	Bugfix: CloseHandle() a mutex when done with it, not
	ReleaseMutex().

2005-05-02 11:06  mortene

	* src/misc/all-misc-cpp.cpp:
	
	Build fix: sync --enable-compact with recent change.

2005-04-29 16:18  mortene

	* src/misc/: CoinStaticObjectInDLL.cpp, CoinStaticObjectInDLL.h:
	
	Debug: run-time selectable debug output for the
	multiple-DLL-in-process checking.

2005-04-29 11:12  mortene

	* src/: fonts/freetype.c, io/SoWriterefCounter.cpp:
	
	Compiler fixes: casting to take care of warnings emitted by g++ on
	AMD64 Linux.

2005-04-28 13:46  pederb

	* src/caches/SoPrimitiveVertexCache.cpp:
	
	Don't require pointdetailidx in addTriangle().

2005-04-28 12:33  mortene

	* src/: glue/GLUWrapper.c, nodes/SoExtSelection.cpp:
	
	Compile fixes: removes warnings with MSVC 6.

2005-04-28 12:12  mortene

	* include/Inventor/C/glue/GLUWrapper.h, src/glue/GLUWrapper.c:
	
	Debug: adds more run-time tunable debug output for Coin's GLU
	interface.

2005-04-28 11:18  mortene

	* src/nodes/SoExtSelection.cpp:
	
	Robustness: be robust vs lost events. Problem reported by kintel.

2005-04-28 11:05  mortene

	* src/nodes/SoExtSelection.cpp:
	
	Bugfixes: takes care of items 191 and 192; let point and line
	rectangle and lasso selection result in valid operations.

2005-04-28 10:58  handegar

	* include/Inventor/C/glue/glp.h, src/glue/gl.c:
	
	Added check for ARB_shader_objects extension.

2005-04-27 16:05  mortene

	* include/Inventor/C/glue/glp.h, src/glue/gl.c:
	
	Provide a function for getting the current GL context, for those
	public methods with a bogus function signature.

2005-04-27 11:57  mortene

	* NEWS:
	
	Make note of new minor feature.

2005-04-27 11:35  mortene

	* src/nodes/SoExtSelection.cpp:
	
	New, minor feature: RECTANGLE and LASSO selections can be aborted
	by the end-user, by hitting the END key.

2005-04-27 11:19  mortene

	* src/nodes/SoExtSelection.cpp:
	
	Clean-up: rewrote much code for clarity.

2005-04-26 16:10  mortene

	* src/nodes/SoExtSelection.cpp:
	
	Robustness: properly handle changes to SoExtSelection::lassoType
	during a selection operation.

2005-04-26 15:14  mortene

	* src/nodes/SoExtSelection.cpp:
	
	Clean-up: minor refactoring, some codestyle issues.

2005-04-26 15:13  mortene

	* src/nodes/SoExtSelection.cpp:
	
	Sync with code from Coin dev (one bug fix, some codestyle issues).

2005-04-25 17:19  larsa

	* build/: msvc6/coin2.dsp, msvc7/coin2.sln, msvc7/coin2.vcproj:
	
	build setup updates

2005-04-25 12:13  mortene

	* src/: tidbits.c, base/string.c:
	
	Debug: add run-time options for debugging problems with the nprintf
	functionality and for debugging string buffer growth.

2005-04-22 18:58  mortene

	* src/glue/dl.c:
	
	Remove FIXME which has been taken care of.

2005-04-22 18:57  mortene

	* src/misc/: CoinStaticObjectInDLL.cpp, CoinStaticObjectInDLL.h,
	SoDB.cpp:
	
	Better resource handling.

2005-04-22 18:38  mortene

	* src/misc/: CoinStaticObjectInDLL.cpp, SoDB.cpp:
	
	FIXME taken care of: release the multiple-DLLs-check mutex upon
	exit, so a Coin DLL can be re-loaded within a wrapper process (as
	e.g. an Internet Explorer plug-in).

2005-04-22 18:31  mortene

	* src/misc/: CoinStaticObjectInDLL.cpp, CoinStaticObjectInDLL.h,
	Makefile.am, SoDB.cpp:
	
	Code clean-up: separate out the two-DLLs-in-process-image check, to
	make it possible to control from other parts of the library
	(necessary to fix a bug).

2005-04-22 18:03  mortene

	* src/misc/SoType.cpp:
	
	Memleaks: clean up SoType static data even in release builds.

2005-04-22 18:02  mortene

	* src/misc/: SoOffscreenAGLData.h, SoOffscreenGLXData.h,
	SoOffscreenInternalData.h, SoOffscreenWGLData.h:
	
	Minor clean-up action: tag internal headers.

2005-04-22 16:30  pederb

	* src/base/SbDPMatrix.cpp:
	
	Optimized inverse

2005-04-22 16:15  pederb

	* src/base/SbMatrix.cpp:
	
	Optimized inverse matrix

2005-04-22 12:05  pederb

	* src/tidbits.c:
	
	Bugfix for recently introduced bug.

2005-04-22 02:37  kyrah

	* packaging/macosx/: CoinTools_Welcome.rtf, Coin_Welcome.rtf:
	
	Copyright update, removed reference to ProjectBuilder.

2005-04-21 14:59  mortene

	* include/Inventor/C/tidbitsp.h, src/tidbits.c, src/misc/SoDB.cpp:
	
	Robustness: don't use the global lock in coin_atexit_func() to be
	more robust against internal programming errors.

2005-04-21 14:42  mortene

	* src/tidbits.c:
	
	MT-safety: make coin_atexit_func() safe to call in parallel
	threads.

2005-04-21 14:05  mortene

	* src/glue/GLUWrapper.c:
	
	Compile fix: was incompatible with C compilers. Problem reported by
	Tony Bernardin.

2005-04-20 15:35  larsa

	* src/base/SbDPMatrix.cpp:
	
	zero determinant check fix

2005-04-20 15:30  larsa

	* src/base/SbMatrix.cpp:
	
	determinant check fix

2005-04-20 11:26  pederb

	* src/caches/normalcache_numcoords_hack.cpp:
	
	Fix for SoNormalCache stability fix/hack. This makes it possible to
	use SoNormalCache from outside of Coin again.

2005-04-18 09:51  thammer

	* src/vrml97/Sound.cpp:
	
	Indentation

2005-04-15 21:43  thammer

	* src/vrml97/Sound.cpp:
	
	Implement distance attenuation according to the VRML97 spec. This
	means that the fields [min|max][Back|Front] and direction are now
	supported.

2005-04-15 21:42  thammer

	* src/misc/SoAudioDevice.cpp:
	
	Turn off OpenAL's distance attenuation since it's incompatible with
	the VRML97 spec. We're doing distance attenuation ourselves (in
	SoVRMLSound).

2005-04-15 16:29  mortene

	* src/: caches/SoNormalCache.cpp, glue/dl.c, lists/SoBaseList.cpp,
	lists/SoPathList.cpp, misc/SoBase.cpp, misc/SoContextHandler.cpp,
	nodes/SoExtSelection.cpp:
	
	Misc doc and debug fixes.

2005-04-15 16:14  mortene

	* include/Inventor/misc/SoGL.h, src/actions/SoGLRenderAction.cpp,
	src/caches/SoGLCacheList.cpp, src/misc/SoGL.cpp,
	src/misc/SoState.cpp, src/nodes/SoGroup.cpp, src/nodes/SoNode.cpp,
	src/nodes/SoSeparator.cpp, src/shapenodes/SoNurbsSurface.cpp,
	src/shapenodes/soshape_bumprender.cpp, src/vrml97/Billboard.cpp,
	src/vrml97/Group.cpp, src/vrml97/LOD.cpp:
	
	Various clean-ups with regard to glGetError() handling. Fixes bug
	item #100.

2005-04-15 16:06  mortene

	* include/Inventor/C/glue/glp.h, src/glue/gl.c:
	
	Adds a couple of internal utility functions for handling GL-errors.

2005-04-14 16:07  mortene

	* src/fields/SoField.cpp:
	
	Robustness: catch easy to make error for
	SoField::disconnect(SoField*) -- and don't crash.

2005-04-14 15:15  mortene

	* src/glue/GLUWrapper.c:
	
	Debug: make it easy to override info about GLU version.

2005-04-14 14:12  larsa

	* build/: msvc6/include/Inventor/system/gl.h,
	msvc7/include/Inventor/system/gl.h:
	
	regenerate

2005-04-14 13:43  larsa

	* build/: msvc6/include/config-debug.h,
	msvc6/include/config-release.h, msvc6/include/Inventor/C/basic.h,
	msvc7/include/config-debug.h, msvc7/include/config-release.h,
	msvc7/include/Inventor/C/basic.h:
	
	version number update

2005-04-14 11:28  mortene

	* include/Inventor/C/glue/cg.h:
	
	A few additional pieces of the API.

2005-04-14 11:28  mortene

	* include/Inventor/system/gl.h.in:
	
	More defines from shader_objects extension.

2005-04-14 11:27  mortene

	* include/Inventor/C/glue/glp.h, src/glue/gl.c:
	
	Pick up more GL features (anisotropic filtering, and glUniform*()).

2005-04-14 00:24  larsa

	* NEWS, configure.ac:
	
	stamp v2.4.1a

